Skip to main content
GET
/
orgs
/
{orgId}
/
carriers
/
{carrierId}
Returns a specific carrier by ID with sender address
curl --request GET \
  --url https://api.zippendo.com/orgs/{orgId}/carriers/{carrierId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "carrierSlug": "<string>",
  "config": {},
  "senderAddressId": "<string>",
  "orgId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "senderAddress": {
    "id": "<string>",
    "name": "<string>",
    "attContact": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "zipcode": "<string>",
    "city": "<string>",
    "phone": "<string>",
    "countryCode": "<string>",
    "state": "<string>",
    "email": "jsmith@example.com",
    "orgId": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "customs": {}
  }
}

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

carrierId
string
required

Carrier ID

Response

Default Response

id
string
required
name
string
required

Carrier name

carrierSlug
string
required

Carrier slug identifier

config
object
required

Carrier configuration (required and optional fields)

senderAddressId
string
required

Associated sender address ID

orgId
string
required
createdAt
string
required
updatedAt
string
required
senderAddress
object
required